diff --git a/source/appModules/outlook.py b/source/appModules/outlook.py
index 4979ab2..a56d144 100644
--- a/source/appModules/outlook.py
+++ b/source/appModules/outlook.py
@@ -86,6 +86,8 @@ class AppModule(appModuleHandler.AppModule):
 		windowClassName=obj.windowClassName
 		states=obj.states
 		controlID=obj.windowControlID
+		if windowClassName=="REListBox20W" and role==controlTypes.ROLE_CHECKBOX:
+			clsList.insert(0,REListBox20W_CheckBox)
 		if role==controlTypes.ROLE_LISTITEM and windowClassName.startswith("REListBox"):
 			clsList.insert(0,AutoCompleteListItem)
 		if role==controlTypes.ROLE_LISTITEM and windowClassName=="OUTEXVLB":
@@ -98,6 +100,16 @@ class AppModule(appModuleHandler.AppModule):
 			elif isinstance(obj,IAccessible) and obj.event_objectID==winUser.OBJID_CLIENT and obj.event_childID==0:
 				clsList.insert(0,SuperGridClient2010)
 
+class REListBox20W_CheckBox(IAccessible):
+
+	def script_checkbox(self, gesture):
+		gesture.send()
+		self.event_stateChange()
+
+	__gestures={
+		"kb:space":"checkbox",
+	}
+
 class SuperGridClient2010(IAccessible):
 
 	def isDuplicateIAccessibleEvent(self,obj):
